Skip to main content
PATCH
Update a board

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

board_id
string
required

Board ID is a numerical string that identifies a Board.

Body

application/json

Board fields that need to be updated. All omitted fields are left unmodified.

project_id
string | null
Example:

"44"

title
string | null
Example:

"My Board"

content
string | null
Example:

"Some content"

icon
string | null
Example:

"shield"

color
string | null
image_urls
string | null
background_image
object
thumbnail_url
string | null
Example:

"https://s3.....com/thumbnail.png"

archived
boolean | null

make this board archived/unarchived

Example:

true

position
integer | null

a position where the board should be placed in the project

Example:

3

vcs_mapping
object
layout
enum<string> | null
Available options:
board,
list,
timeline,
calendar
Example:

"board"

card_cover_enabled
boolean | null

whether cover images are enabled for cards in this board

is_public
boolean | null
public_settings
object
create_missing_tags
boolean | null

only relevant when moving a board to a new project, determines whether to create missing tags in the target project. defaults to false

Response

updated board response

board
object